Skip to main content

Get Contract Info

Request Example

curl "https://api.mexc.com/api/v1/contract/detail/country"

Response Example

{
"success": true,
"code": 0,
"data": {
"symbol": "BTC_USDT",
"displayName": "BTC_USDT永续",
"displayNameEn": "BTC_USDT PERPETUAL",
"positionOpenType": 3,
"baseCoin": "BTC",
"quoteCoin": "USDT",
"baseCoinName": "BTC",
"quoteCoinName": "USDT",
"futureType": 1,
"settleCoin": "USDT",
"contractSize": 0.0001,
"minLeverage": 1,
"maxLeverage": 500,
"countryConfigContractMaxLeverage": 0,
"priceScale": 1,
"volScale": 0,
"amountScale": 4,
"priceUnit": 0.1,
"volUnit": 1,
"minVol": 1,
"maxVol": 400000,
"bidLimitPriceRate": 0.1,
"askLimitPriceRate": 0.1,
"takerFeeRate": 0.0004,
"makerFeeRate": 0.0001,
"maintenanceMarginRate": 0.001,
"initialMarginRate": 0.002,
"riskBaseVol": 4500000,
"riskIncrVol": 0,
"riskLongShortSwitch": 0,
"riskIncrMmr": 0,
"riskIncrImr": 0,
"riskLevelLimit": 1,
"priceCoefficientVariation": 0.004,
"indexOrigin": [
"BITGET",
"BYBIT",
"BINANCE",
"HTX",
"OKX",
"MEXC",
"KUCOIN"
],
"state": 0,
"isNew": false,
"isHot": false,
"isHidden": false,
"conceptPlate": [
"mc-trade-zone-pow"
],
"conceptPlateId": [
12
],
"riskLimitType": "BY_VOLUME",
"maxNumOrders": [
200,
50
],
"marketOrderMaxLevel": 20,
"marketOrderPriceLimitRate1": 0.2,
"marketOrderPriceLimitRate2": 0.005,
"triggerProtect": 0.1,
"appraisal": 0,
"showAppraisalCountdown": 0,
"automaticDelivery": 0,
"apiAllowed": false,
"depthStepList": [
"0.1",
"1",
"10",
"100"
],
"limitMaxVol": 2500000,
"threshold": 0,
"baseCoinIconUrl": "https://public.mocortech.com/coin/F20250612182226438Ba037qttKoGcrm.png",
"id": 10,
"vid": "128f589271cb4951b03e71e6323eb7be",
"baseCoinId": "febc9973be4d4d53bb374476239eb219",
"createTime": 1591242684000,
"openingTime": 0,
"openingCountdownOption": 1,
"showBeforeOpen": true,
"isMaxLeverage": true,
"isZeroFeeRate": true,
"riskLimitMode": "CUSTOM",
"isZeroFeeSymbol": true,
"riskLimitCustom": [
{
"level": 1,
"maxVol": 50000,
"mmr": 0.001,
"imr": 0.002,
"maxLeverage": 500
},
{
"level": 2,
"maxVol": 60000,
"mmr": 0.004,
"imr": 0.005,
"maxLeverage": 200
},
{
"level": 3,
"maxVol": 250000,
"mmr": 0.005,
"imr": 0.01,
"maxLeverage": 100
},
{
"level": 4,
"maxVol": 1200000,
"mmr": 0.01,
"imr": 0.02,
"maxLeverage": 50
},
{
"level": 5,
"maxVol": 3000000,
"mmr": 0.02,
"imr": 0.05,
"maxLeverage": 20
},
{
"level": 6,
"maxVol": 4500000,
"mmr": 0.05,
"imr": 0.1,
"maxLeverage": 10
}
],
"liquidationFeeRate": 0.0004,
"feeRateMode": "TIERED",
"leverageFeeRates": [],
"tieredFeeRates": [
{
"takerFeeRate": 0,
"makerFeeRate": 0,
"minTieredDealAmount": 0,
"maxTieredDealAmount": 10000000
},
{
"takerFeeRate": 0.0004,
"makerFeeRate": 0.0001,
"minTieredDealAmount": 10000001
}
],
"tieredDealAmount": 0,
"tieredEffectiveDay": 0,
"tieredAppointContract": true,
"tieredExcludeContractId": true,
"tieredContractIds": [
10,
77,
1104
],
"tieredExcludeZeroFee": false,
"type": 1,
"stopOnlyFair": false,
"statisticType": "FIXED",
"fixedStartTime": 1760544000000,
"fixedEndTime": 1763049600000
}
}
  • GET /api/v1/contract/detail/country

Request Parameters:

ParameterTypeRequiredDescription
symbolstringfalseContract symbol

Response Parameters:

ParameterTypeDescription
symbolstringContract symbol
displayNamestringDisplay name
displayNameEnstringEnglish display name
positionOpenTypeintOpening type: 1 Isolated, 2 Cross, 3 Both supported
baseCoinstringBase currency, e.g., BTC
quoteCoinstringQuote currency, e.g., USDT
settleCoinstringSettlement currency, e.g., USDT
contractSizedecimalContract value
minLeverageintMinimum leverage
maxLeverageintMaximum leverage
priceScaleintPrice precision
volScaleintQuantity precision
amountScaleintAmount precision
priceUnitintMinimum price tick
volUnitintMinimum quantity step
minVoldecimalMinimum order size (contracts)
maxVoldecimalMaximum order size (contracts)
bidLimitPriceRatedecimalBuy-side price limit ratio
askLimitPriceRatedecimalSell-side price limit ratio
takerFeeRatedecimalTaker fee rate
makerFeeRatedecimalMaker fee rate
maintenanceMarginRatedecimalMaintenance margin rate
initialMarginRatedecimalInitial margin rate
riskBaseVoldecimalBase contracts
riskIncrVoldecimalIncremental contracts
riskLongShortSwitchintSeparate long/short risk limits switch; 0-off, 1-on
riskBaseVolLongdecimalBase contracts - Long
riskIncrVolLongdecimalIncremental contracts - Long
riskBaseVolShortdecimalBase contracts - Short
riskIncrVolShortdecimalIncremental contracts - Short
riskIncrMmrdecimalIncrement of maintenance margin rate
riskIncrImrdecimalIncrement of initial margin rate
riskLevelLimitintNumber of risk limit tiers
priceCoefficientVariationdecimalCoefficient for fair price deviation from index price
indexOriginList<String>Index sources
stateintStatus: 0 enabled, 1 delivery, 2 delivered, 3 offline, 4 paused
apiAllowedbooleanWhether API trading is allowed
conceptPlateList<String>Sector tags; corresponds to the entryKey of sector list
riskLimitTypestringRisk limit type: BY_VOLUME (by contracts), BY_VALUE (by position value)
maxNumOrdersList<Integer>Max open orders: [Hedged mode max, One-way mode max]
typeintPair type: 1 normal, 2 suspended (default 1 normal)
futureTypeintContract type: 1 perpetual contract, 2 delivery contract